package ru.yandex.webmaster3.viewer.http.download.searchquery;

import ru.yandex.webmaster3.core.http.RequestQueryProperty;
import ru.yandex.webmaster3.core.searchquery.QueryIndicator;
import ru.yandex.webmaster3.storage.searchquery.AggregatePeriod;

/**
 * Created by ifilippov5 on 07.03.17.
 */
public class DownloadStatisticSelectedGroupRequest extends DownloadStatisticRequest {

    private String groupId;
    private AggregatePeriod period = AggregatePeriod.DAY;

    public String getGroupId() {
        return groupId;
    }

    @RequestQueryProperty(required = true)
    public void setGroupId(String groupId) {
        this.groupId = groupId;
    }

    public AggregatePeriod getPeriod() {
        return period;
    }

    @RequestQueryProperty()
    public void setPeriod(AggregatePeriod period) {
        this.period = period;
    }
}
